none
visual studio 2013, 2015에서 vc100 사용 RRS feed

  • 질문

  • 프로젝트 목적상 vc100을 꼭 사용해야 하는데, VS는 2013과 2015만 있습니다.

    CMAKE에서 vc100을 사용하여 VS2010 프로젝트를 생성하고, VS2013, VS2015에서 VC++ upgrade를 하지 않고 프로젝트를 로드하여, 컴파일까지 정상적으로 되는건 확인 하였습니다.

    하지만, 종종 예기치 못한 오류가 발생하곤 하네요.

    상위 버전 VS에서 하위 컴파일러 사용하는 방법에 대해 보다 상세히 알수 없을까요?

    2017년 7월 25일 화요일 오전 6:07

답변

  • 안녕하세요,

    다음 문서를 참조하시기 바랍니다. 최신의 Visual Studio에서 이전 버전에서 만든 프로젝트를 열 수 있고 수정 없이 성공적인 빌드도 가능하지만 잠재적인 문제가 있을 수 있습니다. 아래의 링크인 잠재적인 업그레이드 문제 개요를 참조하여 문제를 해결할 수 있는지 확인하는 것이 필요할 것입니다.

    이전 버전의 Visual C++에서 프로젝트 업그레이드

    https://docs.microsoft.com/ko-kr/cpp/porting/upgrading-projects-from-earlier-versions-of-visual-cpp

    문서 인용:

    대부분의 경우 Visual Studio 이전 버전에서 만든 프로젝트를 열 수 있습니다. 그러나 이를 위해 Visual Studio는 프로젝트를 업그레이드합니다. 이 업그레이드된 프로젝트를 저장하면 이전 버전에서 열 수 없습니다.

    업그레이드된 여러 프로젝트 및 솔루션은 수정 없이 성공적으로 빌드할 수 있습니다. 그러나 일부 프로젝트의 경우 설정, 소스 코드 또는 양쪽을 변경해야 합니다. 다음 지침을 사용하여 설정 문제를 먼저 해결하는 것이 좋으며 그래도 프로젝트가 빌드되지 않으면 코드 문제를 해결할 수 있습니다. 자세한 내용은 잠재적인 업그레이드 문제 개요를 참조하세요.


    • 편집됨 Jng.Kim 2017년 8월 24일 목요일 오전 7:31
    • 답변으로 표시됨 Boram YiModerator 2017년 9월 1일 금요일 오전 4:53
    2017년 8월 24일 목요일 오전 7:30